=== debian/changelog ===
composite (0.006-5) unstable; urgency=low

  * Apply patch from Ilya Barygin to fix FTBFS with binutils-gold;
    closes: #615702
  * Deapply patches after gbp'ing, abort on upstream changes.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Feb 2011 12:33:12 +0100

composite (0.006-4) unstable; urgency=low

  * Depends on jackd (Closes: #591326).
  * Bump Standards.
  * Add patch from upstream's git to prevent FTBFS with newer QTs.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Aug 2010 10:40:23 +0200

composite (0.006-3) unstable; urgency=low

  * Ignore .pc directory.
  * Install a symlink to libTritium.so in to /usr/lib.
  * Add patch to fix spelling errors.

 -- Alessio Treglia <alessio@debian.org>  Fri, 16 Jul 2010 19:54:42 +0200

composite (0.006-2) unstable; urgency=low

  * Add -DBG binary package.
  * Improve package description.
  * Pass --dbg-package parameter to dh_strip explicitly.

 -- Alessio Treglia <alessio@debian.org>  Wed, 14 Jul 2010 10:00:38 +0200

composite (0.006-1) unstable; urgency=low

  * Initial release (Closes: #588289).

 -- Alessio Treglia <alessio@debian.org>  Tue, 06 Jul 2010 15:26:09 +0200
