## composite 0.006.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 PROJECT(composite)
 SET(VERSION_MAJOR "0")
 SET(VERSION_MINOR "006")
-#SET(VERSION_PATCH "")
-SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}")
+SET(VERSION_PATCH "1")
+SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 ######################################################################
 ### CMAKE SETUP                                                    ###
