## composite 0.006.2

=== debian/changelog ===
composite (0.006.2-1) unstable; urgency=low

  * New upstream stable release (Closes: ##634070).  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 23 Jul 2011 21:31:39 +0200

composite (0.006.1-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream stable release.  
  * Bump Standards
  * removed patches applied upstream
  * updated copyright file to rev. 174

  [ Alessio Treglia ]
  * Enable parallel builds.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 16 Jul 2011 09:13:41 +0200
