=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --buildsystem=cmake $@
+	dh $@ --parallel --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DWANT_LRDF=ON \
