## composite 0.006.2%2Bdfsg0

=== debian/changelog ===
composite (0.006.2+dfsg0-3) unstable; urgency=low

  * Set dh/compat 9
  * Fix VCS canonical URLs.
  * Bump standards.
  * Update copyright file.
  * Added Keywords entry to desktop file.
  * Fixed version mangling in watch file.
  * Added postinst postrm files.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 08 Aug 2013 01:56:40 +0200

composite (0.006.2+dfsg0-2) unstable; urgency=low

  * Replace lv2core with lv2-dev in Build-Depends.
  * debian/copyright:
    - Update to machine-readable format.
    - Group files by license.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 17 May 2012 10:40:59 +0200

composite (0.006.2+dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Provide xpm icon
  * Fix desktop file to be shipped in right package
  * Correct typo in cmake build type (s/RelWithoutDebInfo/RelWithDebInfo/)
    thanks to Gabriel Beddingfield

  [ Alessio Treglia ]
  * Remove an unnecessary copy of the waf blob (Closes: #654463).

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 20:16:58 +0100
