=== src/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

ADD_SUBDIRECTORY(Tritium)
ADD_SUBDIRECTORY(sampler)
ADD_SUBDIRECTORY(composite-gui)

ENABLE_TESTING()
