=== src/Tritium/test/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,13 @@
 ### http://gabe.is-a-geek.org/composite/                           ###
 ######################################################################
 CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
+
+if(COMMAND cmake_policy)
+  # Libraries linked via full path no longer produce linker search
+  # paths.
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
+
 
 ######################################################################
 ### TEST SOURCES AND BUILD                                         ###
@@ -55,10 +62,15 @@
       PROPERTIES
       COMPILE_FLAGS "-DBOOST_TEST_MAIN"
       )
+    # Applications that use Tritium should /not/ have to
+    # link to QtCore.  However, in order to scaffold some
+    # of the tests, the link is necc.  (E.g. in t_AudioPort
+    # where we include a private header).
     TARGET_LINK_LIBRARIES(${T}
       Tritium
       test_utils_Tritium
       ${Boost_UNIT_TEST_FRAMEWORK_LIBRARIES}
+      ${QT_LIBRARIES}
       )
 
     ADD_TEST(${T} ${T})
