=== debian/changelog ===
composite (0.006.2+dfsg0-7) unstable; urgency=medium

  * Team upload.

  [ Jaromír Mikeš ]
  * Patch forwarded.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * More spelling fixes.
  * Use pkg-config for proper compiler-flags (Closes: #851028)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Jan 2017 14:58:12 +0100

composite (0.006.2+dfsg0-6) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Boost >= 1.59. (Closes: #811844)

 -- James Cowgill <jcowgill@debian.org>  Wed, 31 Aug 2016 21:10:08 +0100

composite (0.006.2+dfsg0-5) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Remove menu file.
  * Fix some hardening.
  * Update copyright file.
  * Replace scripts by triggers file.
  * Add patch to fix FTBFS with gcc-6 (Closes: #811844).
  * Fix more spelling.
  * Dropping dbg package.
  * Update watch file for gitlab.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 12 Jul 2016 13:44:40 +0200

composite (0.006.2+dfsg0-4) unstable; urgency=medium

  * Build-depend on zlib1g-dev (Closes: #750321).

 -- Alessio Treglia <alessio@debian.org>  Wed, 25 Jun 2014 19:32:35 +0100
