=== debian/control ===
Source: composite
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 cmake,
 debhelper (>= 9),
 pkg-config,
 libboost-dev,
 libboost-test-dev,
 libflac++-dev,
 libjack-dev,
 liblrdf-dev,
 libqt4-dev,
 libsndfile1-dev,
 libtar-dev,
 lv2-dev,
 zlib1g-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/composite.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/composite.git
Homepage: http://gabe.is-a-geek.org/composite/

Package: composite
Architecture: any
Depends:
 composite-data (>= ${source:Version}),
 jackd,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lv2-plugin
Description: Live performance sequencer
 Composite is a software application/system for real-time, in-performance
 sequencing, sampling, and looping. It has a strong emphasis on the needs
 of live performance improvisation. It is built around the Tritium audio
 engine, which also includes LV2 plugins.
 .
 This package contains the Composite Sampler Plugin (LV2) and the
 main GUI (composite-gui).

Package: composite-data
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 composite
Description: Live performance sequencer (data files)
 Composite is a software application/system for real-time, in-performance
 sequencing, sampling, and looping. It has a strong emphasis on the needs
 of live performance improvisation. It is built around the Tritium audio
 engine, which also includes LV2 plugins.
 .
 This package contains the data files for Composite.
