=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DWANT_LRDF=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_CXX_FLAGS="$(shell pkg-config --cflags lrdf) $(CXXFLAGS) $(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install
	cd debian/tmp/usr/share/composite/data/i18n/ && \
		rm updateTranslations.sh stats.py

override_dh_auto_test:
