=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+// \
 https://gitlab.com/composite/Composite/tags \/composite\/composite\/repository\/archive.tar.gz\?ref=composite-([\d.]*)
